#!/usr/bin/env python
#
from distutils.core import setup
from DistUtilsExtra.command import *

setup(name="books-lens",
      version="0.1",
      author="David Calle",
      author_email="davidc@framli.eu",
      url="http://launchpad.net/unity-books-lens/",
      license="GNU General Public License (GPL)",
      data_files=[
    ('share/unity-books-lens', ['data/books.png']),
    ('share/unity-books-lens', ['data/item_wikipedia.png']),
    ('share/unity-books-lens', ['data/item_book.gif']),
    ('share/unity-books-lens', ['data/group_focused_author.png']),
    ('share/unity-books-lens', ['data/group_documentation.png']),
    ('share/unity-books-lens', ['data/group_books.png']),
    ('share/unity/places', ['books.place']),
    ('share/dbus-1/services', ['unity-books-lens.service']),
    ('lib/unity-books-lens', ['api_fun_park.py']),
    ('lib/unity-books-lens', ['dictionnary_world.py']),
    ('lib/unity-books-lens', ['timer.py']),
    ('lib/unity-books-lens', ['unity-books-daemon']),
    ], cmdclass={"build":  build_extra.build_extra, })
