#! /usr/bin/python

#    Copyright (c) 2011 David Calle <davidc@framli.eu>

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
import time, urllib

timer_limit = 2000.0

# Timers:
# If a secondary API takes more than 2 seconds to answer a test call, skip it for this session.


def timer(host):
    t1 = time.time()
    try:
        urllib.urlopen(host).read()
        return (time.time() - t1) * 1000
    except (IOError, urllib2.URLError, urllib2.HTTPError, simplejson.JSONDecodeError):
        print host + " is_not_reachable"
        return 10000

blekko_timer = float(timer('http://blekko.com'))
google_books_timer = float(timer('http://google.com'))
google_images_timer = float(timer('http://google.com'))

